---
fontsize: 11pt
---

\chapter*{How to read this Thesis}

As a guide through the nomenclature used in the formulas we prepend this chapter.

Unless otherwise noted the following holds:

- lowercase letters $x,y,z$  
  refer to real variables and represent a point in 3D-Space.
- lowercase letters $u,v,w$  
  refer to real variables between $0$ and $1$ used as coefficients in a 3D B-Spline grid.
- other lowercase letters  
  refer to other scalar (real) variables.
- lowercase **bold** letters (e.g. $\vec{x},\vec{y}$)  
  refer to 3D coordinates
- uppercase **BOLD** letters (e.g. $D, M$)  
  refer to Matrices

# Introduction

In this Master Thesis we try to extend a previously proposed concept of predicting
the evolvability of \acf{FFD} given a Deformation-Matrix\cite{anrichterEvol}.
In the original publication the author used random sampled points weighted with
\acf{RBF} to deform the mesh and defined three different criteria that can be
calculated prior to using an evolutional optimisation algorithm to asses the
quality and potential of such optimisation.

We will replicate the same setup on the same meshes but use \acf{FFD} instead of
\acf{RBF} to create a deformation and evaluate if the evolution-criteria still
work as a predictor given the different deformation.

## What is \acf{FFD}?

First of all we have to establish how a \ac{FFD} works and why this is a good
tool for deforming meshes in the first place.

## Was ist evolutionäre Optimierung?

## Wieso ist evo-Opt so cool?

## Evolvierbarkeitskriterien

- Konditionszahl etc.

# Hauptteil

## Was ist FFD?

- Definition
- Wieso Newton-Optimierung?
  - Was folgt daraus?

## Szenarien vorstellen

### 1D

#### Optimierungszenario

- Ebene -> Template-Fit

#### Matching in 1D

- Trivial

#### Besonderheiten der Auswertung

- Analytische Lösung einzig beste
  - Ergebnis auch bei Rauschen konstant?
  - normierter 1-Vektor auf den Gradienten addieren
    - Kegel entsteht

### 3D

#### Optimierungsszenario

- Ball zu Mario

#### Matching in 3D

- alternierende Optimierung

#### Besonderheiten der Optimierung

- Analytische Lösung nur bis zur Optimierung der ersten Punkte gültig
- Kriterien trotzdem gut

# Evaluation

## Spearman/Pearson-Metriken

- Was ist das?
- Wieso sollte uns das interessieren?
- Wieso reicht Monotonie?
- Haben wir das gezeigt?
- Stastik, Bilder, blah!

# Schluss

HAHA .. als ob -.-
